<template>
  <v-data-table
    :headers="headers"
    :items="seellerSalesInformation"
    hide-actions
    style="display:block;height:400px !important; overflow-y: auto;background:transparent">
    <template slot="items"
      slot-scope="props">
      <td>
        {{ props.item.seller }}
      </td>
      <td class="text-xs-left">
        {{ props.item.number }}
      </td>
      <td class="text-xs-left">
        {{ props.item.totalSold }}
      </td>
    </template>
  </v-data-table>
</template>
<script>
export default {
  name: 'SellerSalesReport',
  data: () => ({
    headers: [
      { text: 'Seller', align: 'left', sortable: false, value: 'seller' },
      { text: 'Number', value: 'number', sortable: false },
      { text: 'Total', value: 'totalSold', sortable: false }
    ]
  }),
  computed: {
    seellerSalesInformation () {
      let salesReportData = this.$store.state.reportModule.salesReportData
      let tableSalesResult = []
      let sellerList = []
      salesReportData.forEach(element => {
        sellerList.push(element.seller)
      })
      let filteredBrandList = sellerList.filter(function (item, pos) {
        return sellerList.indexOf(item) === pos
      })
      filteredBrandList.forEach(element => {
        let singleElement = {}
        salesReportData.forEach(salesElement => {
          if (salesElement.seller === element) {
            if (singleElement.number === undefined) {
              singleElement = {
                seller: element,
                totalSold: salesElement.salesPrice,
                number: 1
              }
            } else {
              singleElement.number = singleElement.number + 1
              singleElement.totalSold = singleElement.totalSold + salesElement.salesPrice
            }
          }
        })
        tableSalesResult.push(singleElement)
      })
      return tableSalesResult
    }
  }
}
</script>
